/* -*- C++ -*- */

//=============================================================================
/**
 *  @file    DAISConf.h
 *
 *  $Id$
 *
 *  @author Thomas Rothfuss <thomas.rothfuss@homag.de>
 */
//=============================================================================



#ifndef _DAIS_CONF_H_
#define _DAIS_CONF_H_


/**
 * @namespace DAIS
 *
 * @brief Root namespace of DAIS.
 *
 */
DAIS_NAMESPACE DAIS
  {
    /**
     * @namespace Controller
     *
     * @brief Includes all controller classes.
     *
     */
    DAIS_NAMESPACE Controller
      {
        /**
         * @namespace DataAccess
         *
         * @brief Namespace for data access functionality.
         *
         */
        DAIS_NAMESPACE DataAccess
          {
            /**
             * @namespace DAIS::Controller::DataAccess::GroupEntry
             *
             * @brief Namespace for group entries of the data access functionality.
             *
             */
            DAIS_NAMESPACE GroupEntry
              {
              }
            DAIS_NAMESPACE_CLOSE /* GroupEntry */
          }
        /**
         * @namespace Group
         *
         * @brief Namespace for group functionality.
         *
         */
        DAIS_NAMESPACE Group
          {
          }
        DAIS_NAMESPACE_CLOSE /* Group */
        /**
         * @namespace DAIS::Controller::GroupEntry
         *
         * @brief Namespace for group entry functionality.
         *
         */
        DAIS_NAMESPACE GroupEntry
          {
          }
        DAIS_NAMESPACE_CLOSE /* GroupEntry */
        /**
         * @namespace SimpleIO
         *
         * @brief Namespace for SimpleIO functionality.
         *
         */
        DAIS_NAMESPACE SimpleIO
          {
          }
        DAIS_NAMESPACE_CLOSE /* SimpleIO */
        /**
         * @namespace IO
         *
         * @brief Namespace for IO functionality.
         *
         */
        DAIS_NAMESPACE IO
          {
          }
        DAIS_NAMESPACE_CLOSE /* IO */
        /**
         * @namespace DANode
         *
         * @brief Namespace for data access node.
         *
         */
        DAIS_NAMESPACE DANode
          {
          }
        DAIS_NAMESPACE_CLOSE /* DANode */
        /**
         * @namespace Node
         *
         * @brief Namespace for node functionality.
         *
         */
        DAIS_NAMESPACE DANode
          {
          }
        DAIS_NAMESPACE_CLOSE /* Node */
        /**
         * @namespace Item
         *
         * @brief Namespace for item functionality.
         *
         */
        DAIS_NAMESPACE Item
          {
          }
        DAIS_NAMESPACE_CLOSE /* Item */
        /**
         * @namespace Backend
         *
         * @brief Includes the callback mechanism of the backend interface.
         *
         */
        DAIS_NAMESPACE Backend
          {
          }
        DAIS_NAMESPACE_CLOSE /* Backend */
      }
    DAIS_NAMESPACE_CLOSE /* Controller */
    /**
     * @namespace Relation
     *
     * @brief These classes are representing the relations.
     *
     */
    DAIS_NAMESPACE Relation
      {
      }
    DAIS_NAMESPACE_CLOSE /* Relation */
    /**
     * @namespace Data
     *
     * @brief Includes all data structure.
     *
     */
    DAIS_NAMESPACE Data
      {
      }
    DAIS_NAMESPACE_CLOSE /* Data */
    /**
     * @namespace Backend
     *
     * @brief All backend classes.
     *
     */
    DAIS_NAMESPACE Backend
      {
        /**
         * @namespace Interface
         *
         * @brief Includes all interface classes for the backend.
         *
         */
        DAIS_NAMESPACE Interface
          {
          }
        DAIS_NAMESPACE_CLOSE /* Interface */
      }
    DAIS_NAMESPACE_CLOSE /* Backend */
  }
DAIS_NAMESPACE_CLOSE /* DAIS */


#endif /* _DAIS_CONF_H_ */
